
.flex {
    padding-top: 180px;
    display: flex;
    justify-content: space-between;
    align-items: start;
    gap: 120px;
}

/*--------------------------- sec_top ---------------------------*/
.sec_top {
    width: fit-content;
    flex-shrink: 0;
}
.page_name {
    margin-bottom: 32px;
}
.contact_info {
    margin-top: 50px;
    display: flex;
    gap: 40px;
}
.contact_info a {
    display: flex;
    align-items: center;
    gap: 12px;
}
.contact_info p {
    font-size: var(--ft16);
    color: var(--gray-600);
}
.contact_info p.info_bold {
    padding: 4px 10px;
    border-radius: 30px;
    background-color: var(--gray-400);
    font-weight: var(--medium);
    color: var(--white);
}

/*--------------------------- form_sec ---------------------------*/
.form_sec {
    width: 100%;
    max-width: 900px;
}
.form_list {
    display: flex;
    flex-direction: column;
    gap: 32px;
}
.form_flex {
    display: flex;
    gap: 20px;
}
.form_box {
    width: 100%;
}
.form_name {
    margin-bottom: 10px;
    font-size: var(--ft16);
    font-weight: var(--semi-bold);
    display: flex;
    gap: 6px;
}
.form_name.primary::after {
    content: '';
    display: block;
    width: 4px;
    height: 4px;
    border-radius: 50%;
    background-color: var(--primary);
    transform: translateY(4px);
}
.input_box {
    width: 100%;
    height: 70px;
    border-radius: 10px;
    background-color: var(--white); 
    border: 1px solid rgba(255, 255, 255, 0);
    transition: all .4s ease;
}
.input_box input {
    width: 100%;
    height: 100%;
    padding: 0 24px;
}
.input_box input::placeholder {
    font-weight: var(--medium);
}
.input_box.focus {
    border-color: var(--primary);
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.05);
}

/*-- textarea --*/
.input_box.textarea_box {
    height: auto;
}
.input_box.textarea_box textarea {
    min-height: 180px;
    padding: 24px;
}
.input_box.textarea_box textarea::placeholder {
    font-weight: var(--medium);
}

/*-- select --*/
.select_box {
    position: relative;
}
.select_main {
    padding: 0 24px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}
.select_main p {
    font-size: 16px;
    font-weight: var(--medium);
    color: var(--gray-400);
}
.select_main img {
    width: 12px;
    height: 12px;
    transition: transform .4s ease;
}

.select_sub {
    width: 100%;
    padding: 10px;
    background-color: var(--white);
    border-radius: 10px;
    position: absolute;
    bottom: 0;
    z-index: 1;
    transform: translateY(calc(100% + 10px));
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.05);
    display: none;
}
.select_list li {
    border-radius: 8px;
}
.select_list label {
    padding: 10px 14px;
}
.select_list p {
    font-weight: var(--medium);
    color: var(--gray-600);
}
.select_list li:hover {
    background-color: var(--primary-100);
}

.select_box.chk .select_text {
    color: var(--gray-700);
}
.select_main.focus img {
    transform: rotate(180deg);
}

/*-- file --*/
.file_box {
    padding: 6px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.file_box input {
    cursor: pointer;
}
.file_btn {
    width: 130px;
    height: 100%;
    background-color: var(--gray-700);
    border-radius: 8px;
    font-size: var(--ft16);
    font-weight: var(--medium);
    color: var(--white);
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.file_info {
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.file_info li {
    font-size: var(--ft16);
    color: var(--gray-600);
}
.file_info li strong {
    font-weight: var(--semi-bold);
    color: var(--gray-700);
}

/*-- form_btm --*/
.form_btm {
    margin-top: 50px;
    padding-top: 24px;
    border-top: 1px solid var(--dark-line);
}
.agree_box {
    display: flex;
    align-items: center;
    gap: 16px;
}
.agree_box label p {
    font-weight: var(--medium);
}
.agree_box a {
    width: fit-content;
    color: var(--gray-400);
    text-decoration: underline;
}


.link {
    margin: 80px auto 0;
    padding-left: 24px;
    padding-right: 9px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    background-color: var(--primary);
}
.link .link_text span {
    color: var(--white) !important;
}
.link .link_cir {
    background-color: var(--white);
}

.success_popup {
    width: 100%;
    height: 100vh;
    padding: 0 20px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 20;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    pointer-events: none;
    transition: opacity .4s ease;
}
.success_popup.open {
    opacity: 1;
    pointer-events: all;
}
.popup_bg {
    width: 100%;
    height: 100%;
    background-color: var(--black-400);
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}
.popup_box {
    width: 100%;
    max-width: 400px;
    padding: 60px 40px 40px;
    border-radius: var(--radius);
    background-color: var(--white);
    position: relative;
    z-index: 1;
}
.popup_title {
    font-size: var(--ft22);
    font-weight: var(--semi-bold);
    text-align: center;
}
.popup_text {
    margin-top: 16px;
    font-size: var(--ft16);
    color: var(--gray-600);
    text-align: center;
}
.popup_btn {
    margin-top: 32px;
    width: 100%;
    height: 60px;
    border-radius: var(--radius);
    background-color: var(--primary);
}
.popup_btn a {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: var(--ft18);
    font-weight: var(--semi-bold);
    color: var(--white);
    text-align: center;
}


@media all and (max-width: 1400px){
    .flex {
        padding-top: 120px;
        flex-direction: column;
        gap: 60px;
    }
    .sec_top {
        width: 100%;
        text-align: center;
    }
    .sec_text {
        margin-top: 24px;
    }
    .contact_info {
        margin-top: 32px;
        justify-content: center;
    }

    .form_sec {
        max-width: 100%;
    }
}
@media all and (max-width: 768px) {
    .flex {
        padding-top: 120px;
    }
    
    .sec_top {
        text-align: left;
    }
    .page_name {
        margin-bottom: 16px;
    }
    .contact_info {
        margin-top: 24px;
        flex-direction: column;
        gap: 12px;
    }
    .contact_info p {
        font-size: var(--ft14);
    }
    .contact_info p.info_bold {
        width: 50px;
        flex-shrink: 0;
        text-align: center;
    }

    .form_list {
        gap: 20px;
    }
    .form_flex {
        flex-direction: column;
    }
    .input_box {
        height: 60px;
    }
    .file_info li {
        font-size: var(--ft14);
    }

    .form_btm {
        margin-top: 32px;
        padding-top: 20px;
    }
    .link {
        margin-top: 60px;
        padding-right: 8px;
    }

    .popup_box {
        padding: 40px 20px 20px;
    }
}